Bug 1330102 - FTBFS:
Summary: FTBFS:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ldc
Version: 24
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: MERCIER Jonathan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-04-25 12:13 UTC by Karsten Hopp
Modified: 2016-10-26 22:30 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-26 22:30:02 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2016-04-25 12:13:57 UTC
Description of problem:
[ 81%] Generating std/digest/ripemd.o
cd /builddir/build/BUILD/ldc-0.16.1-src && /builddir/build/BUILD/ldc-0.16.1-src/build/bin/ldc2 --output-o -c -I/builddir/build/BUILD/ldc-0.16.1-src/runtime/druntime/src -I/builddir/build/BUILD/ldc-0.16.1-src/runtime/druntime/src/gc /builddir/build/BUILD/ldc-0.16.1-src/runtime/phobos/std/digest/ripemd.d -of/builddir/build/BUILD/ldc-0.16.1-src/build/runtime/std/digest/ripemd.o -w -d -relocation-model=pic -O3 -release -I/builddir/build/BUILD/ldc-0.16.1-src/runtime/phobos
/builddir/build/BUILD/ldc-0.16.1-src/runtime/phobos/std/digest/ripemd.d(242): Error: template instance littleEndianToNative!uint template 'littleEndianToNative' is not defined
runtime/CMakeFiles/phobos2-ldc.dir/build.make:550: recipe for target 'runtime/std/digest/ripemd.o' failed
make[2]: *** [runtime/std/digest/ripemd.o] Error 1


Version-Release number of selected component (if applicable):
ldc-0.16.1-77.fc24

How reproducible:


Steps to Reproduce:
1. ppc-koji build --scratch f24 ldc-0.16.1-77.fc24.src.rpm
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Kalev Lember 2016-10-24 19:11:55 UTC
ppc support should be fixed in ldc-0.17.2-1.fc25

Comment 2 Fedora Update System 2016-10-26 04:24:50 UTC
avgtime-0.5.1-0.3.git20150501.fc25, derelict-3-35.20150730git10a517b.fc25, dustmite-1-27.20150515git3498068.fc25, gl3n-1.2.0-17.fc25, gtkd-3.3.1-1.fc25, ldc-0.17.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b869fe6f77

Comment 3 Fedora Update System 2016-10-26 22:30:02 UTC
avgtime-0.5.1-0.3.git20150501.fc25, derelict-3-35.20150730git10a517b.fc25, dustmite-1-27.20150515git3498068.fc25, gl3n-1.2.0-17.fc25, gtkd-3.3.1-1.fc25, ldc-0.17.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.